SEARCH

Enter your search query in the box above ^, or use the forum search tool.

You are not logged in.

#1 2015-07-13 01:53:22

paxmark1
#! Junkie
From: Winnipeg, MB Canada
Registered: 2009-07-08
Posts: 263

Conky v1.10 Thread

Mod edit:  Started new thread for Conky v1.10
Now available in Debian Testing and  SID
================================================
The Conky v1.10 Thread Purpose:

  • seek help with conky v1.10 and up, and

  • show your conky (v1.10) and the files that created them

-----------------------------------------------------------
And in accordance with the screenshot thread:

Please continue to use thumbnails (please try to avoid the large thumbnail imgur.com code) linking to the larger image to help those of us with slow connections. An example of the code needed is below. Most image hosting sites will automatically generate this for you as well. I've been using postimage.org lately which does a nice job.

=== Original Post ===

[url=http://link.to.your.fullsized.image][img]http://link.to.your.thumbnail.image[/img][/url]

Some day down the road will we ever see output from "journalctl -b -0 | grep conky"  EDIT a very poor stab attempt at humour at everything becoming a service in systemd. end edit

I hope not. 

Would it be time for someone to start a new Monster Conky 1.10 thread?   Possibly, but not me.

Last edited by paxmark1 (2015-07-14 00:09:23)


Jean Vanier wrote "Being Human" and "A Short History of Progress" by Ronald Wright.  Gotta love the Massey Lectures.

Offline

Help fund CrunchBang, donate to the project!

#2 2015-07-13 02:13:08

Sector11
#!'er to BL'er
From: SR11 Cockpit
Registered: 2010-05-05
Posts: 15,667
Website

Re: Conky v1.10 Thread

This makes sense ... will discuss with the other Mods...


·  ↓   ↓   ↓   ↓   ↓   ↓  ·
BunsenLabs Forums now Open for Registration
·  ↑   ↑   ↑   ↑   ↑   ↑  · BL ModSquad

Offline

#3 2015-07-13 05:39:56

intoCB
Scatweasel
Registered: 2012-10-25
Posts: 2,412

Re: Conky v1.10 Thread

sudo systemctl start conky.service

see manual page systemd.conky(5) for more misinformation.

Offline

#4 2015-07-13 17:13:42

damo
#! gimpbanger
From: N51.5 W002.8 (mostly)
Registered: 2011-11-24
Posts: 5,434

Re: Conky v1.10 Thread

Strange behaviour has just started with one of my autostarted conkys, which may have been after an upgrade and reboot (sid).

The conky starts and loads the text elements, but then closes when the lua gauges try to load

[damo@cb-desktop ~]$ conky -c /home/damo/.config/conky/ellipse-gauges-clock/ellipse-gauges-clock.conkyrc 
conky: Syntax error (...ome/damo/.config/conky/ellipse-gauges-clock/ellipse-gauges-clock.conkyrc:2: unexpected symbol near '#') while reading config file. 
conky: Assuming it's in old syntax and attempting conversion.
conky: desktop window (2a4) is root window
conky: window type - normal
conky: drawing to created window (0x2000001)
conky: drawing to double buffer
conky: forked to background, pid is 15162
conky: obj->data.i 1 info.cpu_count 0
conky: attempting to use more CPUs than you have!

I have an i7 with 8 cores, so there are 8 elements in the gauge array

gauge = {
{...arg='cpu0'..}
{...arg='cpu1'..}
.
.
{...arg='cpu7'..}
}

If I comment out all but the cpu0, the conky runs with just a single core ring displayed. If I then uncomment the rest while the conky is running, the lua reloads and everything displays correctly.
sAlprGqi.jpg

I tried changing the update_interval and cpu_avg_samples values, but that was no good.

It may be unconnected but I had to remove the legacy iconv variables in the conky, because they stopped working at the same time:

${iconv_start UTF-8 ISO_8859-1}°${iconv_stop}c

So does anyone know if this is a lua issue, or does the latest sid conky (v 1.10.0-1) now deal with cpu info differently? Is there a way of putting in a delay before the lua loads the first time?

(I can post the conkyrc and lua script if needed)


BunsenLabs Group on deviantArt
damo's gallery on deviantArt
Openbox themes
Forum Moderator smile

Offline

#5 2015-07-13 17:43:31

Sector11
#!'er to BL'er
From: SR11 Cockpit
Registered: 2010-05-05
Posts: 15,667
Website

Re: Conky v1.10 Thread

@ damo

It because you are running conky v1.10 in Debian SID - more LUA based then text file.  I'm of little help at the moment, sorry.

It's NEW there will be OOPSIES! as mobilediesel would have said.


·  ↓   ↓   ↓   ↓   ↓   ↓  ·
BunsenLabs Forums now Open for Registration
·  ↑   ↑   ↑   ↑   ↑   ↑  · BL ModSquad

Offline

#6 2015-07-13 17:49:37

Sector11
#!'er to BL'er
From: SR11 Cockpit
Registered: 2010-05-05
Posts: 15,667
Website

Re: Conky v1.10 Thread

intoCB wrote:

see manual page systemd.conky(5) for more misinformation.

Just how does one view a manual page other than:

man appname

·  ↓   ↓   ↓   ↓   ↓   ↓  ·
BunsenLabs Forums now Open for Registration
·  ↑   ↑   ↑   ↑   ↑   ↑  · BL ModSquad

Offline

#7 2015-07-13 18:24:35

iMBeCil
WAAAT?
From: Edrychwch o'ch cwmpas
Registered: 2012-03-22
Posts: 1,026
Website

Re: Conky v1.10 Thread

I can confirm that it is conky 1.10 issue (I'm NOT using lua at all in my conkies):

$ conky -c /home/user/.config/conky/.conkyrc_pekwm_calendar
conky: Syntax error (/home/user/.config/conky/.conkyrc_pekwm_calendar:1: '=' expected near 'top_left') while reading config file. 
conky: Assuming it's in old syntax and attempting conversion.
conky: desktop window (2f1) is root window
conky: window type - override
conky: drawing to created window (0x1a00001)
conky: drawing to double buffer

And what is worse, my particular conky config has

update_interval     30

and as a result it is not shown for first 30 seconds.

And, yes, I'm on sid. Actually, during dist-upgrade a week or two ago, there was a message about conky changing to lua syntax. Damn, now I have to learn yet another syntax muncher ]:D  ]:D


Postpone all your duties; if you die, you won't have to do them ..
--> The very new BL forum! <--

Offline

#8 2015-07-13 18:27:59

damo
#! gimpbanger
From: N51.5 W002.8 (mostly)
Registered: 2011-11-24
Posts: 5,434

Re: Conky v1.10 Thread

Sector11 wrote:

@ damo

It because you are running conky v1.10 in Debian SID - more LUA based then text file.  I'm of little help at the moment, sorry.

It's NEW there will be OOPSIES! as mobilediesel would have said.

Rats, I didn't spot the Conky v1.10 thread :8

Sounds like a whole new approach to conky and lua, with syntax which isn't backwards compatible sad

Some useful info in this Arch thread

(@Sector11 - thanks for putting my question in the proper place {) )

EDIT: From the thread I linked to:

wrap your config section in

    conky.config = { ... }

    wrap your TEXT section in

    conky.text = [[ ... ]]

    the config options are lookup values and you need to assign the values (i.e. use "=")

    each line in the config section ends with ","

    replace "yes" and "no" with "true" and "false", resp. (without quotes)

    all values except numbers, "true" and "false" need quotes

    comments are marked with "--" instead of "#"

Unfortunately, it seems like "own_window_argb_visual" isn't working, at the moment.

A default conky has been installed as /etc/conky/conky.conf

Last edited by damo (2015-07-13 19:17:08)


BunsenLabs Group on deviantArt
damo's gallery on deviantArt
Openbox themes
Forum Moderator smile

Offline

#9 2015-07-13 19:28:15

TeoBigusGeekus
#! Die Hard
From: /Greece/Kastoria
Registered: 2012-04-28
Posts: 963

Re: Conky v1.10 Thread

To convert an old conkyrc file to the new syntax, find the convert.lua script inside the /usr/share/doc/conky-1.10.0 folder, copy it inside your old conkyrc's folder, make it executable and run

./convert.lua .oldconkyrc

Done.

Do it because although 1.10 is supposed to be backwards compatible with the old syntax, I've found it to be quite buggy with the latter.


Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!

Offline

#10 2015-07-13 19:31:41

Sector11
#!'er to BL'er
From: SR11 Cockpit
Registered: 2010-05-05
Posts: 15,667
Website

Re: Conky v1.10 Thread

@ paxmark1 & damo

I created this thread today because of your posts.  I used paxmark1's post as the first post and edited it to reflect his was the first conky v1.10 question on the forum.  Second actually, the first was in Teo's weather thread.

But you're welcome damo.


·  ↓   ↓   ↓   ↓   ↓   ↓  ·
BunsenLabs Forums now Open for Registration
·  ↑   ↑   ↑   ↑   ↑   ↑  · BL ModSquad

Offline

#11 2015-07-13 19:45:24

iMBeCil
WAAAT?
From: Edrychwch o'ch cwmpas
Registered: 2012-03-22
Posts: 1,026
Website

Re: Conky v1.10 Thread

TeoBigusGeekus wrote:

To convert an old conkyrc file to the new syntax, find the convert.lua script inside the /usr/share/doc/conky-1.10.0 folder, copy it inside your old conkyrc's folder, make it executable and run

./convert.lua .oldconkyrc

Done.

Do it because although 1.10 is supposed to be backwards compatible with the old syntax, I've found it to be quite buggy with the latter.

Do I have to have lua installed to run this? If yes, then I must say that I'm not really happy with the new conky. Not everybody need or use lua ...


Postpone all your duties; if you die, you won't have to do them ..
--> The very new BL forum! <--

Offline

#12 2015-07-13 19:52:57

TeoBigusGeekus
#! Die Hard
From: /Greece/Kastoria
Registered: 2012-04-28
Posts: 963

Re: Conky v1.10 Thread

I think lua is now a dependency for conky...


Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!

Offline

#13 2015-07-13 19:59:09

Head_on_a_Stick
CatMod
From: A world of pure imagination
Registered: 2014-01-21
Posts: 4,797

Re: Conky v1.10 Thread

TeoBigusGeekus wrote:

I think lua is now a dependency for conky...

Not in Debian.
https://packages.debian.org/sid/conky

Offline

#14 2015-07-13 19:59:50

damo
#! gimpbanger
From: N51.5 W002.8 (mostly)
Registered: 2011-11-24
Posts: 5,434

Re: Conky v1.10 Thread

@TBG

Thanks for that - it sorted the conky code nicely.

But there is still a bug in the lua when it tries to count cpu's sad There is a fix posted on github here, so either I wait until it comes through to the sid repos or compile the latest source. (Or learn how to patch  :8 )


BunsenLabs Group on deviantArt
damo's gallery on deviantArt
Openbox themes
Forum Moderator smile

Offline

#15 2015-07-13 20:05:49

TeoBigusGeekus
#! Die Hard
From: /Greece/Kastoria
Registered: 2012-04-28
Posts: 963

Re: Conky v1.10 Thread

Head_on_a_Stick wrote:
TeoBigusGeekus wrote:

I think lua is now a dependency for conky...

Not in Debian.
https://packages.debian.org/sid/conky

It is in Arch:
https://www.archlinux.org/packages/extra/x86_64/conky/

By the way, don't use 1.10.0-1, it's ultra buggy (at least it was in Arch). Wait for at least 1.10.0-2


damo wrote:

@TBG

Thanks for that - it sorted the conky code nicely.

But there is still a bug in the lua when it tries to count cpu's sad There is a fix posted on github here, so either I wait until it comes through to the sid repos or compile the latest source. (Or learn how to patch  :8 )

Anytime damo. This is a major update, give it some more time to get the details fixed.

At the end of the day, I also dislike this lua direction conky is taking...
We'll see.


Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!

Offline

#16 2015-07-13 20:20:47

Sector11
#!'er to BL'er
From: SR11 Cockpit
Registered: 2010-05-05
Posts: 15,667
Website

Re: Conky v1.10 Thread

WOW!  Thanks for your help Teo ... and I know your "didn't" lua before I guess you are now though.

Donno if I should smile or sad  - but still glad to see you here.


·  ↓   ↓   ↓   ↓   ↓   ↓  ·
BunsenLabs Forums now Open for Registration
·  ↑   ↑   ↑   ↑   ↑   ↑  · BL ModSquad

Offline

#17 2015-07-13 20:22:37

TeoBigusGeekus
#! Die Hard
From: /Greece/Kastoria
Registered: 2012-04-28
Posts: 963

Re: Conky v1.10 Thread

Me thinks it's high time for a conky fork...  roll


Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!

Offline

#18 2015-07-13 20:29:49

Sector11
#!'er to BL'er
From: SR11 Cockpit
Registered: 2010-05-05
Posts: 15,667
Website

Re: Conky v1.10 Thread

Head_on_a_Stick wrote:
TeoBigusGeekus wrote:

I think lua is now a dependency for conky...

Not in Debian.
https://packages.debian.org/sid/conky

I think the key with Debian is:

(either external or through built-in lua support)

italics mine


·  ↓   ↓   ↓   ↓   ↓   ↓  ·
BunsenLabs Forums now Open for Registration
·  ↑   ↑   ↑   ↑   ↑   ↑  · BL ModSquad

Offline

#19 2015-07-13 21:20:57

iMBeCil
WAAAT?
From: Edrychwch o'ch cwmpas
Registered: 2012-03-22
Posts: 1,026
Website

Re: Conky v1.10 Thread

Head_on_a_Stick wrote:
TeoBigusGeekus wrote:

I think lua is now a dependency for conky...

Not in Debian.
https://packages.debian.org/sid/conky

Yes, it is, although through 'liblua5.1-0' only.

(Hint: package you give link is only dummy package ... all three listed packages depend on liblua.)


Postpone all your duties; if you die, you won't have to do them ..
--> The very new BL forum! <--

Offline

#20 2015-07-13 21:22:00

Head_on_a_Stick
CatMod
From: A world of pure imagination
Registered: 2014-01-21
Posts: 4,797

Re: Conky v1.10 Thread

iMBeCil wrote:

(Hint: package you give link is only dummy package ... all three listed packages depend on liblua.)

D'oh!

:8

Offline

#21 2015-07-13 22:03:08

Sector11
#!'er to BL'er
From: SR11 Cockpit
Registered: 2010-05-05
Posts: 15,667
Website

Re: Conky v1.10 Thread

TeoBigusGeekus wrote:

Me thinks it's high time for a conky fork...  roll

Yup, a fork of conky 1.9.0-6 = kongkee v1.0.0 unfortunately what I know about forks can be put in my right hand to shovel/stick food.  big_smile



I just BIT the BULLET and took my "wally-jr" from jessie to SID.  It went PERFECT!  (  take note johnraff cool  )
8.(  8.(  8.(  8.(  8.(  8.(  8.(  8.(  8.( 8.( 8.( sad
of my 11 conkys I run on boot up - 2 work.
8.(  8.(  8.(  8.(  8.(  8.(  8.(  8.(  8.( 8.( 8.( sad

tried:

./convert.lua .conkyrc .conkyrc_bak

Results ... I have .conkyrc and .conkyrc_bak = identical & "conky" doesn't run ... will have to spend a LOT of time in 'wally-jr'

I'll probably strip it of all unneeded apps and have it as a conky v1.10 test ground.
Then copy a few thousand conkys from /media/5/Conky & /media/5/conky to  ~/conky $ ~/Conky

If you don't see me after a week send out a rescue team.  I'll be in the top of a mountain of "kongkees" somewhere.


·  ↓   ↓   ↓   ↓   ↓   ↓  ·
BunsenLabs Forums now Open for Registration
·  ↑   ↑   ↑   ↑   ↑   ↑  · BL ModSquad

Offline

#22 2015-07-13 22:06:16

TeoBigusGeekus
#! Die Hard
From: /Greece/Kastoria
Registered: 2012-04-28
Posts: 963

Re: Conky v1.10 Thread

See the error messages when you run the conkies separately from command line and try to correct them.

...And, as I said in a previous post, avoid 1.10.0-1. Wait for a newer version.

Last edited by TeoBigusGeekus (2015-07-13 22:06:31)


Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!
Please make Autocad Civil 3D and Archicad work on Linux!

Offline

#23 2015-07-14 03:01:22

PackRat
#! Die Hard
From: USA
Registered: 2011-03-03
Posts: 1,572

Re: Conky v1.10 Thread

BLfk25HT.jpg

.conkyrc

conky.config = {
	out_to_console = true,
	out_to_x = false,
	background = false,
	cpu_avg_samples = 2,
	net_avg_samples = 2,
	no_buffers = true,
	out_to_stderr = false,
	update_interval = 1.0,
	uppercase = false,
	use_spacer = 'none',

};

conky.text = [[
Uptime: ${uptime_short}  |  CPU: ${execpi 60 ~/conky/TCore0.sh} °C   CPU: ${execpi 60 ~/conky/TCore1.sh} °C  |  CPU%: ${cpu cpu0}%  ${loadavg}  |  Mem: ${memperc}%  | Net: Down - ${downspeedf wlp3s0} kb/s  Up - ${upspeedf wlp3s0} kb/s ]];

"It does not require many words to speak the truth." - Chief Joseph, Nez Perce tribe

Offline

#24 2015-07-18 01:49:22

Crinos512
Member
Registered: 2013-07-22
Posts: 14

Re: Conky v1.10 Thread

So... I have it on good authority that I can learn a bit about conky here. wink

(I looked at the variables and MAN, 1.10 has gotten weird!)

Offline

Help fund CrunchBang, donate to the project!

#25 2015-07-18 01:54:35

Sector11
#!'er to BL'er
From: SR11 Cockpit
Registered: 2010-05-05
Posts: 15,667
Website

Re: Conky v1.10 Thread

Hello my old friend and welcome to our forums.

Conky 1.10 has gone more lua based.  Not sure if it is as light as the v1.9 version but this thread is dedicated to the new version.


·  ↓   ↓   ↓   ↓   ↓   ↓  ·
BunsenLabs Forums now Open for Registration
·  ↑   ↑   ↑   ↑   ↑   ↑  · BL ModSquad

Offline

Board footer

Powered by FluxBB

Copyright © 2012 CrunchBang Linux.
Proudly powered by Debian. Hosted by Linode.
Debian is a registered trademark of Software in the Public Interest, Inc.
Server: acrobat

Debian Logo